Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell2010

Distribution.Types.PackageId

Synopsis

- data PackageIdentifier = PackageIdentifier {
  - pkgName :: PackageName
  - pkgVersion :: Version
  }
- type PackageId = PackageIdentifier

# Documentation

data PackageIdentifier #

The name and version of a package.

Constructors

PackageIdentifier |

Fields

- pkgName :: PackageName

  The name of this package, eg. foo

- pkgVersion :: Version

  the version of this package, eg 1.2

Instances

Eq PackageIdentifier # |
Methods (==) :: PackageIdentifier -> PackageIdentifier -> Bool # (/=) :: PackageIdentifier -> PackageIdentifier -> Bool #
Data PackageIdentifier # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> PackageIdentifier -> c PackageIdentifier Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c PackageIdentifier Source #

toConstr :: PackageIdentifier -> Constr Source #

dataTypeOf :: PackageIdentifier -> DataType Source #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c PackageIdentifier) Source #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c PackageIdentifier) Source #

gmapT :: (forall b. Data b => b -> b) -> PackageIdentifier -> PackageIdentifier Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> PackageIdentifier -> r Source #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> PackageIdentifier -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> PackageIdentifier -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> PackageIdentifier -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> PackageIdentifier -> m PackageIdentifier Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> PackageIdentifier -> m PackageIdentifier Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> PackageIdentifier -> m PackageIdentifier Source #

Ord PackageIdentifier # |

Methods

compare :: PackageIdentifier -> PackageIdentifier -> Ordering #

(<) :: PackageIdentifier -> PackageIdentifier -> Bool #

(<=) :: PackageIdentifier -> PackageIdentifier -> Bool #

(>) :: PackageIdentifier -> PackageIdentifier -> Bool #

(>=) :: PackageIdentifier -> PackageIdentifier -> Bool #

max :: PackageIdentifier -> PackageIdentifier -> PackageIdentifier #

min :: PackageIdentifier -> PackageIdentifier -> PackageIdentifier #

Read PackageIdentifier # |
Methods readsPrec :: Int -> ReadS PackageIdentifier Source # readList :: ReadS [PackageIdentifier] Source # readPrec :: ReadPrec PackageIdentifier Source # readListPrec :: ReadPrec [PackageIdentifier] Source #
Show PackageIdentifier # |
Methods showsPrec :: Int -> PackageIdentifier -> ShowS Source # show :: PackageIdentifier -> String Source # showList :: [PackageIdentifier] -> ShowS Source #
Generic PackageIdentifier # |
Associated Types type Rep PackageIdentifier :: * -> * Source # Methods from :: PackageIdentifier -> Rep PackageIdentifier x Source # to :: Rep PackageIdentifier x -> PackageIdentifier Source #
NFData PackageIdentifier # |
Methods rnf :: PackageIdentifier -> () Source #
Binary PackageIdentifier # |
Methods put :: PackageIdentifier -> Put Source # get :: Get PackageIdentifier Source # putList :: [PackageIdentifier] -> Put Source #
Text PackageIdentifier # |
Methods disp :: PackageIdentifier -> Doc # parse :: ReadP r PackageIdentifier #
Package PackageIdentifier # |
Methods packageId :: PackageIdentifier -> PackageIdentifier #
type Rep PackageIdentifier # |

type Rep PackageIdentifier = D1 * (MetaData "PackageIdentifier" "Distribution.Types.PackageId" "Cabal-2.0.1.0" False) (C1 * (MetaCons "PackageIdentifier" PrefixI True) ((:*:) * (S1 * (MetaSel (Just Symbol "pkgName") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * PackageName)) (S1 * (MetaSel (Just Symbol "pkgVersion") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * Version))))

type PackageId = PackageIdentifier #

Type alias so we can use the shorter name PackageId.